<article>

  <div class="flex flex-col bg-white">

    <div class="py-4 px-6">

      <p class="font-bold text-red-500">When you move from your home community to an urban centre, you will be more independent and responsible for your own life choices.</p>

      <p class="mt-4 font-medium">
        There are a variety of ways to live a healthy lifestyle and meet new people, such as:
      </p>

      <ul class="list-disc px-8 space-y-2 py-2">

        <li>Joining a sports team</li>
        <li>Getting involved in a community group</li>
        <li>Volunteering</li>
        <li>Getting a part-time job</li>
        <li>Attending community and cultural events</li>
        <li>Surrounding yourself with others who are making healthy life choices</li>

      </ul>

    </div>

    <p class="mt-4 p-4 bg-cadet-200 font-medium">
      In Ontario, www.thehealthline.ca has links for up-to-date supports and services that are available to you.
    </p>

    <div class="py-4 px-6">

      <div class="py-4 space-y-4 lg:w-1/4 mx-auto">
        <img src="<?php echo get_template_directory_uri() . '/assets/images/logos/thehealthline-logo.png' ?>" alt="The HealthLine">
      </div>

      <ul class="list-disc px-8 space-y-2 py-2">

        <li>Centre for Addiction and Mental Health – <a class="font-medium underline" href="http://www.camh.ca">www.camh.ca</a></li>
        <li>211 – Will help you find mental health services in your area</li>
        <li><a class="font-medium underline" href="https://www.beendigen.com/programs/talk4healing/">Talk 4 Healing</a> – 1-855-554-HEAL – counselling for Indigenous women </li>
        <li><a class="font-medium underline" href="https://www.sac-isc.gc.ca/eng/1581971225188/1581971250953">Indian Residential School Crisis Line</a> – <a href="tel:18669254419">1-866-925-4419</a> – support services with trained Indigenous crisis counsellors</li>
        <li><a class="font-medium underline" href="https://www.canada.ca/en/public-health/services/suicide-prevention/warning-signs.html">Crisis Services Canada</a> – <a href="tel:18334564566">1-833-456-4566</a> – suicide prevention and support</li>


      </ul>

      <div class="py-8 space-y-4 lg:w-1/4 mx-auto">
        <img src="<?php echo get_template_directory_uri() . '/assets/images/bgs/get-involved.png' ?>" alt="Get Involved">
      </div>

    </div>

    <div class="py-4 px-4">
      <p class="font-bold text-red-500 mb-4">The LifeLine Canada Foundation (TLC)</p>

      <div>

        <div class="p-4 space-y-4 w-full bg-cadet-100 shadow-md">

          <p class="mt-4 font-medium">
            The LifeLine Canada Foundation (TLC) has links to resources, an app, and crisis contact information that support positive mental health and suicide prevention.
          </p>

          <ul class="list-disc px-8 space-y-2 py-2">
            <li><a class="font-medium underline" href="https://thelifelinecanada.ca/lifeline-canada-foundation/lifeline-app/">The Lifeline Canada App</a></li>
            <li><a class="font-medium underline" href="https://thelifelinecanada.ca/incrisisneedhelp/">The Lifeline Canada Help</a></li>
            <li><a class="font-medium underline" href="https://thelifelinecanada.ca/resources/">The Lifeline Canada Resources</a></li>
          </ul>

        </div>

      </div>
    </div>

    <!-- Quote -->
    <div class="italic py-8 px-8 bg-cadet-500 text-cadet-900 space-y-4">
      <div class="max-w-7xl mx-auto lg:flex flex-col items-center">
        <i class="bi-quote text-7xl inline text-cadet-300"></i>
        <p class="font-medium inline text-xl">Get involved with your community and make friends who help you achieve!</p>
        <img class="inline h-56 aspect-video object-cover mt-4" src="<?= get_template_directory_uri() ?>/assets/images/people/young-female-student.png" alt="Young Female Student">
        <p class="mt-4 mb-2 font-medium">Abby Davey, Moose Cree First Nation</p>
        <p>Algonquin College – Indigenous Studies</p>
      </div>
    </div>

  </div>

</article>