<?php

$strategiesForSuccess = [

  [
    'title' => 'Get to know your college or university',
    'subtitle' => 'Visit your college or university before you begin classes. If you can’t go in person, many institutions have videos and virtual tours of their campuses on their websites.',
    'content' => [
      "Ontario Native Education Counselling Association (ONECA) has produced videos of many colleges and universities in Ontario. These videos focus on supports, services and programs specifically for Indigenous students. To find your college or university, go to: <a class='underline font-medium' href='http://www.oneca.com/transitions/post-secondary-virtual-tours.html'>Post Secondary Virtual Tours</a>",
      "Universities Canada has online tools to help you decide which university to attend. <a class='underline font-medium' href='https://www.universitystudy.ca/plan-for-university/'>Plan For University</a>",
      "Universities Canada has online tools to help you decide which university to attend. <a class='underline font-medium' href='https://www.universitystudy.ca/indigenous-programs-and-services-directory/'>Indigenous Programs and Services</a>"
    ],
    'image' => ''
  ],
  [
    'title' => 'Get to know your campus when you arrive.',
    'subtitle' => 'Explore the campus and find what is there for you:',
    'content' => [
      'Locations of the classrooms/lecture halls/labs on your timetable. Before classes begin, locate your classrooms.',
      'Cafeteria or food court',
      'Coffee shop',
      'Library',
      'Indigenous Students’ Centre',
      'Student Services',
      'Athletic facilities',
      'Financial Aid',
      'Student Union',
      'Parking and bus stops',
      'Security'
    ],
    'image' => ''
  ],
  [
    'title' => 'Attend your classes',
    'subtitle' => '',
    'content' => [
      'If you miss a class, ask your instructor or a fellow student to share their notes with you. You can do the same for other students. (If you think you need help with note taking in class, ask for help at the academic support centre)',
      'Instructors provide information that may not be in your readings.',
      'Asking questions can help you get a better idea of what to expect on exams, tests and assignments. Most instructors don’t do reviews in class before exams or tests.'
    ],
    'image' => 'attend-your-classes.png'
  ],
  [
    'title' => 'Get to know your instructors and fellow students.',
    'subtitle' => '',
    'content' => [
      'Unless you make an appointment with your instructor, you will only see them during class hours. Meeting with instructors is a great way to ask for assistance with assignments.',
      'It is important to talk to other students about assignments and readings, or to share notes if you miss a class. Some students like to study alone, while others like to study with classmates.',
      'You will meet instructors and fellow students from other provinces and nationalities at college and university. Keep an open mind to the diversity.'
    ],
    'image' => ''
  ],
  [
    'title' => 'Advocate for Yourself',
    'subtitle' => '',
    'content' => [
      'If you need a better explanation from your instructor.',
      'If you require learning assistance, contact the Student Accessibility Centre.',
      'When in doubt, ask for help! This is part of your self-care and is important for your success!'
    ],
    'image' => 'advocate-for-yourself.png'
  ],
  [
    'title' => 'Essay writing',
    'subtitle' => '',
    'content' => [
      'You will be expected to write essays, reports, and create presentations.',
      'If you need help, ask at the academic support centre. You might get free tutoring.',
      'Always have someone read your work before you hand it in. Even good writers can miss their own mistakes.',
      'Follow the essay guidelines outlined by your instructor as closely as possible.',
      'Be sure to reference and cite all work that is not your own to avoid plagiarism.'
    ],
    'image' => ''
  ],
  [
    'title' => 'Effective study skills',
    'subtitle' => '',
    'content' => [
      'Be sure to visit the Student Support Services office when you arrive on campus.',
      'You can get help through your student services office, or online.'
    ],
    'image' => ''
  ],
  [
    'title' => 'Submitting assignments',
    'subtitle' => '',
    'content' => [
      'There are strict deadlines for handing in assignments. In some cases, late assignments will not be accepted, or marks are deducted per day it’s late. Always check your course syllabus.',
      'Talk to your instructor if you are having difficulty with an assignment or if you need an extension.',
      'If you have personal or family emergencies that prevent you from finishing an assignment, inform your instructors and education counsellor as soon as possible.'
    ],
    'image' => 'discipline-over-motivation.png'
  ],
  [
    'title' => 'Effective communication skills',
    'subtitle' => '',
    'content' => [
      'Listening – Be attentive in your classes. Listen in class because exams will cover content from lectures, textbooks, assignments and handouts.',
      'Speaking – Practice speaking in front of people as you might need to give presentations in class.',
      'Reading – Courses require a lot of reading. Some tips for reading include looking for important information; highlighting key concepts; and making notes for yourself as you read.',
      'Writing – Learn to write effectively for class notes, essays, assignments, tests and exams.'
    ],
    'image' => 'effective-communication-skills.png'
  ],
  [
    'title' => 'Use the Academic Support Services',
    'subtitle' => '',
    'content' => [
      'Tutors and Academic Advisors are available to all students to help with reading, writing, study skills, exam preparation, course selection and other academic concerns.',
      'You can also find academic supports online',
      "Visit here to <a href='https://www.youthcentral.vic.gov.au/study-and-training/help-with-study/how-to-study-better/top-10-study-tips' class='underline font-medium'>Find Study Tips</a>",
      "Visit here to <a href='https://www.youthcentral.vic.gov.au/study-and-training/help-with-study/how-to-study-better/top-10-exam-tips' class='underline font-medium'>Find Exam Tips</a>"
    ],
    'image' => ''
  ],
  [
    'title' => 'Short-Term and Long-Term Planning',
    'subtitle' => 'Use a calendar to mark important dates and times:',
    'content' => [
      'Due dates for assignments',
      'Exam and test dates',
      'Holidays',
      'Reading Week (Some schools schedule one in each semester.)',
      'Birthdays',
      'Appointments',
      'Cultural events',
      'Indigenous Initiatives events',
      'Recreation (sports, movies, etc.)',
      'Family events',
      'Exercise / Gym'
    ],
    'image' => ''
  ],

];



?>

<article>

  <div class="flex flex-col bg-white">

    <div class="py-4 px-6">
      <p class="font-bold text-red-500">WHAT DOES IT TAKE TO BE SUCCESSFUL?</p>
    </div>

    <div class="mx-auto max-w-7xl mb-4">
      <img class="" src="<?php echo get_template_directory_uri(); ?>/assets/images/bgs/iceberg-illusion.png" alt="The Iceberg Illusion">
    </div>

    <nav class="flex flex-1 flex-col">
      <div class="flex flex-1 flex-col gap-y-7">

        <div>
          <ul role="list" class="text-blue-900">

            <!-- Strategies Loop -->
            <?php

            foreach ($strategiesForSuccess as $strategy) {

            ?>

              <li class="accordion differences-columns">
                <div class="relative flex px-2 rounded-md justify-between">
                  <div href="" class="gap-x-3 rounded-md p-2 text-sm leading-6 font-semibold flex items-center align-middle">
                    <p class="pr-4"><?php echo $strategy['title'] ?></p>
                  </div>

                  <button class="accordion-toggle absolute inset-0 flex w-full h-full">
                    <i class="fas fa-chevron-down items-center ml-auto rounded-m px-2.5 py-2 " aria-hidden="true"></i>
                    <i class="fas fa-times items-center ml-auto rounded-md px-3 py-2" aria-hidden="true"></i>
                  </button>

                </div>

                <div class="accordion-content space-y-4">

                  <!-- Strategy Information  -->
                  <div>
                    <?php if ($strategy['subtitle']) : ?>
                      <h3 class="italic mb-2 font-medium"><?= $strategy['subtitle'] ?></h3>
                    <?php endif; ?>

                    <ul class="list-disc list-inside space-y-2">

                      <?php foreach ($strategy['content'] as $content) { ?>
                        <li>
                          <?php echo $content ?>
                        </li>
                      <?php } ?>

                    </ul>
                    <?php if ($strategy['image']) : ?>
                      <div class="py-8 space-y-4 lg:w-1/2 mx-auto">
                        <img src="<?php echo get_template_directory_uri() . '/assets/images/bgs/' . $strategy['image'] ?>" alt="Strategy Info Image">
                      </div>
                    <?php endif; ?>

                  </div>
                </div>
              </li>


            <?php } ?>

          </ul>
        </div>

      </div>
    </nav>

    <div class="p-4">
      <div class="p-4 space-y-4 w-full text-white bg-cadet-900 shadow-md">
        <p class="font-medium">Helpful tips:</p>
        <ul class="list-disc px-4 space-y-2">
          <li>Get a year-long calendar or planner. You can usually get these at the college or university bookstore.</li>
          <li>Have a monthly or weekly calendar on your wall so you can see it every day.</li>
          <li>Create a weekly study schedule. You should include at least 2-3 hours to study and work on assignments. You can buy student agendas/calendars or use a digital calendar. Free templates are available online at: <a class="underline" href="https://www.calendarpedia.com/weekly-schedule-word-templates.html">Weekly Schedule Template</a></li>
          <li>Need some motivation? Watch this! <a class="underline" href="http://www.ted.com/talks/angela_lee_duckworth_grit_the_power_of_passion_and_perseverance">The Power of Passion and Perserverance.</a></li>
        </ul>
      </div>
    </div>




  </div>

</article>